package com.bytedance.fresco.nativeheif;

import X.LwK;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class Heif {
    public static native boolean isHeif(byte[] bArr, int i);

    public static native void nativeInit();

    public static native int[] parseSimpleMeta(byte[] bArr, int i);

    public static native int[] parseThumbMeta(byte[] bArr, int i);

    public static native HeifData toRgba(byte[] bArr, int i, boolean z, int i2, int i3, int i4, int i5, int i6);

    public static native HeifData toThumbRgba(byte[] bArr, int i);

    static {
        MethodCollector.i(17536);
        Covode.recordClassIndex(26368);
        LwK.LIZ("ttheif_dec");
        LwK.LIZ("heif");
        nativeInit();
        MethodCollector.o(17536);
    }
}
